%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Test-SubCalls
Version:       1.10
Release:       1mamba
Summary:       Test::SubCalls - Track the number of times subs are called
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/Test/Test-SubCalls-%{version}.tar.gz

License:       GPL, Artistic
BuildRequires: perl(Hook::LexWrap)
BuildRequires: perl(Pod::Simple)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::CPAN::Meta)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
#BuildRequires: perl(Test::MinimumVersion)
BuildRequires: perl-devel
Requires:      perl >= %perl_major_ver

%description
There are a number of different situations (like testing caching code) where you want to want to do a number of tests, and
then verify that some underlying subroutine deep within the code was called a specific number of times.

This module provides a number of functions for doing testing in this way in association with your normal Test::More (or
similar) test scripts.

%prep
%setup -q -n Test-SubCalls-%{version}


%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test AUTOMATED_TESTING=1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{perl_vendorlib}/Test/
%{_mandir}/man3/*.3pm.gz
%doc Changes LICENSE README

%changelog
* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 1.10-1mamba
- automatic version update by autodist

* Fri Feb 18 2011 gil <puntogil@libero.it> 1.09-1mamba
- package created by autospec
